//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:24:50 $
//
//==============================================================================

#ifndef OT_AUXIL_CommandLineParser_h
#define OT_AUXIL_CommandLineParser_h

#include "defs.h" 
#include "ot/base/String.h" 

#include <list>

OT_AUXIL_NAMESPACE_BEGIN 

class CommandLineOption;

class OT_AUXIL_PKG CommandLineParser
{
public:
	typedef std::list<String> StringList;

	CommandLineParser();

	unsigned parse(int argc, char *argv[]);
	void addOption(CommandLineOption* pOption);
	
	unsigned getFirstPositionalArg() const;
	const String& getProgramName() const;
	
	StringList getFilenames(int argc, char *argv[], int firstArg=0, int lastArg=0);

protected:
	CommandLineOption& getShortOption(char option) const;
	CommandLineOption& getLongOption(const String& option) const;

private:
	typedef std::list<CommandLineOption*> OptionList;
	OptionList m_optionList;	// un-owned
	unsigned m_firstPositionalArg;
	String m_programName;
	CharType m_shortOptionPrefix;
};

OT_AUXIL_NAMESPACE_END 

#endif  //OT_AUXIL_CommandLineParser_h

