//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:24:51 $
//
//==============================================================================
//
// Class: FileMessageFactory
// 
// Overview
// --------
// An implementation of MessageFactory that loads messages from a
// file.
//
//==============================================================================

#ifndef FileMessageFactory_h
#define FileMessageFactory_h

#include "MessageFactoryImpl.h"

OT_AUXIL_NAMESPACE_BEGIN

class OT_AUXIL_PKG FileMessageFactory : public MessageFactoryImpl
{
public:
	FileMessageFactory(const String& msgDirectory, const String lang);

	static void Install();

protected:
	virtual RefPtr<MessageSet> getMessageSet(const String& org, const String& app);

private:
	String m_msgDir;
	String m_lang;
	bool m_bDirectoryOK;
};

OT_AUXIL_NAMESPACE_END

#endif //FileMessageFactory_h

