//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:24:51 $
//
//==============================================================================
//
// Class: NetAccessHelper
// 
// Overview
// --------
// A class that eases the load on networking applications be performing some
// of the common boiler-plate functions like setting Proxy servers and passwords.
//
//==============================================================================

#ifndef NetAccessHelper_h
#define NetAccessHelper_h

#include "defs.h"

#include "ot/net/Authenticator.h"
#include "ot/net/InetAddress.h"

OT_AUXIL_NAMESPACE_BEGIN

using namespace net;

class OT_AUXIL_PKG NetAccessHelper : public Authenticator
{
public:
	NetAccessHelper(const String& HTTPProxy,
	                const String& proxyUserOption,
	                const String& proxyPasswordOption,
	                const String& userOption,
	                const String& passwordOption);

protected:
	// implement Authenticator interface...
	virtual bool getPasswordAuthentication(InetAddress* pAddr, int port,
		const String& protocol, const String& prompt, const String& scheme,
		bool bProxy, String& userRet, String& passwordRet);

private:
	String m_proxyUser;
	String m_proxyPassword;
	String m_user;
	String m_password;
};

OT_AUXIL_NAMESPACE_END

#endif //NetAccessHelper_h

