//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:24:52 $
//
//==============================================================================
//
// Class: TraceHelper
// 
// Overview
// --------
// A class that performs simple yet effecting tracing.
//
//==============================================================================

#ifndef TraceHelper_h
#define TraceHelper_h

#include "defs.h"

#include "ot/base/Tracer.h"
#include "ot/io/Writer.h"

OT_AUXIL_NAMESPACE_BEGIN

using io::Writer;

class OT_AUXIL_PKG TraceHelper : public Tracer
{
public:
	TraceHelper(const String& name, const String& command);
	~TraceHelper();

protected:
	virtual void doTrace(short nSection, short nLevel, const CharType* message, size_t len);
	virtual void doTraceBytes(short nSection, short nLevel, const String& message, const Byte* bytes, size_t len);
	virtual void doActivate(short nSection, short nLevel);

	void formatOutput(short nSection, short nLevel);

private:
	enum {MaxSections = 32};
	short m_sectionTable[MaxSections];
	RefPtr<Writer> m_rpWriter;
	short m_nAllLevel;
	String m_name;
	bool m_bAutoFlush;
};

OT_AUXIL_NAMESPACE_END

#endif //TraceHelper_h
