//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/09/12 23:20:30 $
//
//==============================================================================

#ifndef OT_BASE_ArrayAutoPtr_h
#define OT_BASE_ArrayAutoPtr_h

#ifndef OT_BASE_defs_h
#include "defs.h"
#endif //OT_BASE_defs_h

OT_BASE_NAMESPACE_BEGIN

template<typename T>
class ArrayAutoPtr
{
public:
	typedef T element_type;
	explicit ArrayAutoPtr(T *ptr = 0);
	ArrayAutoPtr(const ArrayAutoPtr<T>& rhs);
	ArrayAutoPtr<T>& operator=(const ArrayAutoPtr<T>& rhs);
	~ArrayAutoPtr();
	T& operator*() const;
	T& operator[](size_t n) const;
	T *get() const;
	T *release() const;

private:
	mutable bool m_bOwner;
	T *m_ptr;
};

OT_BASE_NAMESPACE_END

// Include inline functions
#include "ArrayAutoPtr.inl"

#endif //OT_BASE_ArrayAutoPtr_h
