//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:24:34 $
//
//==============================================================================
//
// Class: AtomicCounter
// 
//==============================================================================

#ifndef OT_BASE_AtomicCounter_h
#define OT_BASE_AtomicCounter_h

#ifndef OT_BASE_defs_h
#include "defs.h"
#endif //OT_BASE_defs_h

#include "FastMutex.h"

OT_BASE_NAMESPACE_BEGIN

class OT_BASE_PKG AtomicCounter
{
public:

	AtomicCounter();
	AtomicCounter(long n);
	unsigned long operator=(long n);

	unsigned long operator++();
	unsigned long operator++(int);
	unsigned long operator--();
	unsigned long operator--(int);

	operator unsigned long() const;

private:

#if defined(WIN32)

	unsigned long m_count;

#else // Will default to using a mutex to protect access to m_count

	unsigned long m_count;

#ifdef OT_MT
	FastMutex m_mutex;
#endif // OT_MT

#endif

};

OT_BASE_NAMESPACE_END

#endif //OT_BASE_AtomicCounter_h
