//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:24:34 $
//
//==============================================================================

#ifndef OT_BASE_AutoBuffer_h
#define OT_BASE_AutoBuffer_h

#ifndef OT_BASE_defs_h
#include "defs.h"
#endif //OT_BASE_defs_h

#include "debug.h"

#include <memory.h>

OT_BASE_NAMESPACE_BEGIN

template<typename T>
class AutoBuffer
{
public:
	typedef T DataType;

	AutoBuffer();	
	AutoBuffer(size_t initialSize);
	~AutoBuffer();

	void append(T data);
	void append(const T* pData, size_t length);
	size_t capacity() const;
	void clear();
	const T* data() const;
	void destroy();
	size_t size() const;

private:
	void init(size_t bufferSize);

private:
	T*  m_pBuffer;
	size_t m_used;
	size_t m_size;
};

OT_BASE_NAMESPACE_END

#include "AutoBuffer.inl"

#endif //OT_BASE_AutoBuffer_h
