//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/08/25 08:10:18 $
//
//==============================================================================
//
// Class: AutoUnlock
// 
//==============================================================================

#ifndef OT_BASE_AutoUnlock_h
#define OT_BASE_AutoUnlock_h

#ifndef OT_BASE_defs_h
#include "defs.h"
#endif //OT_BASE_defs_h

OT_BASE_NAMESPACE_BEGIN

template<typename T>
class AutoUnlock
{
public:

	AutoUnlock(T& lock);
	~AutoUnlock();

	void lock();
	void unlock();

private: // not implemented
	AutoUnlock(const AutoUnlock<T>& rhs);            // cannot be copied
	AutoUnlock& operator=(const AutoUnlock<T>& rhs); // nor assigned

private:
	T& m_lock;
	bool m_bUnlocked;
};

OT_BASE_NAMESPACE_END

#include "AutoUnlock.inl"

#endif //OT_BASE_AutoUnlock_h

