//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:24:37 $
//
//==============================================================================
// Class: IllegalMonitorStateException
// 
/**
	@class ot::IllegalMonitorStateException
	
	@brief Thrown when a Mutex is not in the correct locked 
	state for an operation.
*/
//==============================================================================

#ifndef OT_BASE_IllegalMonitorStateException_h
#define OT_BASE_IllegalMonitorStateException_h

#ifndef OT_BASE_defs_h
#include "defs.h"
#endif //OT_BASE_defs_h

#include "RuntimeException.h"

OT_BASE_NAMESPACE_BEGIN

class OT_BASE_PKG IllegalMonitorStateException : public RuntimeException
{
public:
	/** Constructs an IllegalMonitorStateException without a detail message */
	IllegalMonitorStateException()
	{}

	/** Constructs an IllegalMonitorStateException with a detail message
	* @param message the detail message.
	*/
	IllegalMonitorStateException(const String& message) : 
		RuntimeException(message)
	{}
	
	virtual String getExceptionType() const {return OT_T("IllegalMonitorStateException");}
};

OT_BASE_NAMESPACE_END

#endif //OT_BASE_IllegalMonitorStateException_h

