//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:24:38 $
//
//==============================================================================
//
// Class: ManagedObject
//
//==============================================================================

#ifndef OT_BASE_ManagedObject_h
#define OT_BASE_ManagedObject_h

#ifndef OT_BASE_defs_h
#include "defs.h"
#endif //OT_BASE_defs_h

#include "AtomicCounter.h"

OT_BASE_NAMESPACE_BEGIN

class OT_BASE_PKG ManagedObject
{
public:

	ManagedObject();
	ManagedObject(const ManagedObject& rhs);
	ManagedObject& operator=(const ManagedObject& rhs); 

	virtual ~ManagedObject();

	void addRef();
	void release();
	virtual void onFinalRelease();
	unsigned long getRefCount() const;

private:


private:

#if defined(OT_MT)
	AtomicCounter m_refCount;
#else
	unsigned long m_refCount;
#endif
};

OT_BASE_NAMESPACE_END

// Include inline functions
#if OT_BASE_INCLUDE_INLINES
	#include "ManagedObject.inl"
#endif

#endif //OT_BASE_ManagedObject_h
