//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:24:38 $
//
//==============================================================================
//
// Class: MessageFactory
// 
// Overview
// --------
// The MessageFactory class is an abstract base class used for the
// internationalization of system messages.
//
// There is a well-known MessageFactory owned by the System object.
// Applications can set this to use an overridden MessageFactory if desired.
//
//==============================================================================

#ifndef OT_BASE_MessageFactory_h
#define OT_BASE_MessageFactory_h

#ifndef OT_BASE_defs_h
#include "defs.h"
#endif //OT_BASE_defs_h

#include "String.h"
#include "ManagedObject.h"

OT_BASE_NAMESPACE_BEGIN

class OT_BASE_PKG MessageFactory : public virtual ManagedObject
{
public:

	virtual bool getMessage(const String& org, const String& app, size_t messageID, String& ret)=0;
};

OT_BASE_NAMESPACE_END

#endif //OT_BASE_MessageFactory_h

