//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:24:48 $
//
//==============================================================================

#ifndef OT_BASE_Win32Exception_h
#define OT_BASE_Win32Exception_h

#ifndef OT_BASE_defs_h
#include "defs.h"
#endif //OT_BASE_defs_h

#ifndef WIN32
	#error this class is only available for the Win32 build
#endif

#include "OSException.h"
#include "ot/base/winincl.h"

OT_BASE_NAMESPACE_BEGIN

class OT_BASE_PKG Win32Exception : public OSException
{
public:
	Win32Exception(DWORD errCode);
	Win32Exception(DWORD errCode, const String& message);
	
	virtual String getExceptionType() const {return OT_T("Win32Exception");}
};

OT_BASE_NAMESPACE_END

#endif //OT_BASE_Win32Exception_h
