//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:24:49 $
//
//==============================================================================
//
// The OT_LIBNAME macro generates a library name that encodes the values of
// some of the build environment such as: debug/unicode etc.
//
//==============================================================================

#ifndef OT_UTILS_libname_h
#define OT_UTILS_libname_h

#ifdef OT_MT
#define _OT_THREAD_SUFFIX "mt"
#else //OT_WCHAR
#define _OT_THREAD_SUFFIX 
#endif //OT_WCHAR

#ifdef OT_WCHAR
#define _OT_CHAR_SUFFIX "w"
#else //OT_WCHAR
#define _OT_CHAR_SUFFIX 
#endif //OT_WCHAR

#ifdef _DEBUG
#define _OT_MODE_SUFFIX "d"
#else //_DEBUG
#define _OT_MODE_SUFFIX
#endif //_DEBUG

#ifdef OT_DLL
#define _OT_TYPE_SUFFIX "s"
#else //OT_DLL
#define _OT_TYPE_SUFFIX 
#endif //OT_DLL

#define OT_LIBNAME(xxx) \
#xxx _OT_THREAD_SUFFIX _OT_CHAR_SUFFIX _OT_MODE_SUFFIX _OT_TYPE_SUFFIX
//OT_LIB_PREFIX #xxx OT_LIB_SUFFIX OT_LIB_USUFFIX

#endif //OT_UTILS_libname_h

