//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/08/10 22:02:37 $
//
//==============================================================================
//
// Class: CodeConverterFactory
// 
//==============================================================================

#ifndef OT_CVT_CodeConverterFactory_h
#define OT_CVT_CodeConverterFactory_h

#ifndef OT_CVT_defs_h
#include "defs.h"
#endif //OT_CVT_defs_h

OT_CVT_NAMESPACE_BEGIN

class CodeConverter;

class OT_CVT_PKG CodeConverterFactory : public virtual ManagedObject
{
public:

	static CodeConverterFactory& GetInstance();
	static void SetInstance(CodeConverterFactory* pFactory);

	RefPtr<CodeConverter> getConverter(const String& encoding) const;
	RefPtr<CodeConverter> getDefaultConverter() const;

private:
	static CodeConverterFactory* OT_MT_VOLATILE s_pInstance;
};

OT_CVT_NAMESPACE_END

#endif //OT_CVT_CodeConverterFactory_h
