//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:09 $
//
//==============================================================================
// Class: AtomicReadException
// 
/**
	@class ot::io::AtomicReadException
	
	@brief Thrown when a readAtomic() operation is performed on a Reader,
	       and a prior read() operation left the stream located part-way through
		   a multi-character sequence.
*/
//==============================================================================

#ifndef OT_IO_AtomicReadException_h
#define OT_IO_AtomicReadException_h

#ifndef OT_IO_defs_h
#include "defs.h"
#endif //OT_IO_defs_h

#include "IOException.h"

OT_IO_NAMESPACE_BEGIN

class OT_IO_PKG AtomicReadException : public IOException
{
public:

	/** Constructs an AtomicReadException with a detail message
	* @param message the detail message.
	*/
	AtomicReadException(const String& message) : 
		IOException(message)
	{}

	virtual String getExceptionType() const {return OT_T("AtomicReadException");}
};


OT_IO_NAMESPACE_END

#endif //OT_IO_AtomicReadException_h

