//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/08/10 22:07:41 $
//
//==============================================================================

#ifndef OT_IO_Console_h
#define OT_IO_Console_h

#ifndef OT_IO_defs_h
#include "defs.h"
#endif //OT_IO_defs_h

#include "PrintWriter.h"
#include "InputStreamReader.h"

OT_IO_NAMESPACE_BEGIN

class OT_IO_PKG Console
{
public:

	static RefPtr<PrintWriter> Out();
	static RefPtr<PrintWriter> Err();
	static RefPtr<InputStreamReader> In();

	static PrintWriter& cout();
	static PrintWriter& cerr();
	static InputStreamReader& cin();

private: // not implemented
	Console(const Console& rhs);            // cannot be copied
	Console& operator=(const Console& rhs); // nor assigned
	friend class NO_FRIENDS;                // to satisfy gcc 2.91

private:
	static PrintWriter* OT_MT_VOLATILE s_pOut;
	static PrintWriter* OT_MT_VOLATILE s_pErr;
	static InputStreamReader* OT_MT_VOLATILE s_pIn;
};

OT_IO_NAMESPACE_END

#if OT_IO_INCLUDE_INLINES
	#include "Console.inl"
#endif

#endif //OT_IO_Console_h
