//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:13 $
//
//==============================================================================
//
// Class: FileDescriptor
// 
//==============================================================================

#ifndef OT_IO_FileDescriptor_h
#define OT_IO_FileDescriptor_h

#ifndef OT_IO_defs_h
#include "defs.h"
#endif //OT_IO_defs_h

#include "ResourceDescriptor.h"
//#include "FileSystem.h"

OT_IO_NAMESPACE_BEGIN

class InputStream;
class OutputStream;
class FileSystem;

class OT_IO_PKG FileDescriptor : public ResourceDescriptor
{
public:
	FileDescriptor(const FileSystem* pFS, bool bAutoClose);
	virtual ~FileDescriptor();

	virtual void close();
	RefPtr<FileSystem> getFileSystem() const;

	static RefPtr<FileDescriptor> In();
	static RefPtr<FileDescriptor> Out();
	static RefPtr<FileDescriptor> Err();

private: // not implemented
	FileDescriptor(const FileDescriptor& rhs);            // cannot be copied
	FileDescriptor& operator=(const FileDescriptor& rhs); // nor assigned

private:
	RefPtr<FileSystem> m_rpFS;
};

OT_IO_NAMESPACE_END

#endif //OT_IO_FileDescriptor_h
