//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:18 $
//
//==============================================================================

#ifndef OT_IO_MalformedInputException_h
#define OT_IO_MalformedInputException_h

#ifndef OT_CVT_defs_h
#include "defs.h"
#endif //OT_CVT_defs_h

#include "CharacterCodingException.h"
#include "ot/cvt/CodeConverter.h"

OT_IO_NAMESPACE_BEGIN

class OT_IO_PKG MalformedInputException : public CharacterCodingException
{
public:
	MalformedInputException(const String& message, CodeConverter* pDecoder);
	MalformedInputException(const Byte* pStart, size_t len, CodeConverter* pDecoder);

	virtual String getExceptionType() const;
};


OT_IO_NAMESPACE_END

#endif //OT_IO_MalformedInputException_h

