//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:22 $
//
//==============================================================================
//
// Class: StringWriter
// 
//=============================================================================

#ifndef OT_IO_StringWriter_h
#define OT_IO_StringWriter_h

#ifndef OT_IO_defs_h
#include "defs.h"
#endif //OT_IO_defs_h

#include "Writer.h"
#include "ot/base/AutoBuffer.h"

OT_IO_NAMESPACE_BEGIN

class OT_IO_PKG StringWriter : public Writer
{
public:

	StringWriter();
	StringWriter(size_t initialSize);

	virtual void close();

#ifdef OT_USING_DECL_BROKEN
	virtual void write(CharType c)           {Writer::write(c);}
	virtual void write(const Character& ch)  {Writer::write(ch);}
	virtual void write(const String& str)    {Writer::write(str);}
#else
	using Writer::write; 	// unhide inherited write methods
#endif

	virtual void write(const CharType* pBuf, size_t len);

	String toString() const;

private:
	AutoBuffer<CharType> m_buffer;
	bool m_bClosed;
};

OT_IO_NAMESPACE_END

#endif //OT_IO_StringWriter_h
