//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.3 $
// $Date: 2003/09/10 20:19:22 $
//
//==============================================================================
/**
	@namespace ot::io

	Provides flexible input/output abstractions for byte and Unicode
	character streams as well as concrete classes for reading, writing
	and manipulating files.
*/
//==============================================================================

#ifndef OT_IO_defs_h
#define OT_IO_defs_h

#include "ot/base/gendefs.h"
#include "ot/base/Character.h"
#include "ot/base/String.h"
#include "ot/base/ManagedObject.h"
#include "ot/base/RefPtr.h"
#include "ot/base/RefPtrMember.h"
#include "ot/cvt/CodeConverter.h"
#include "ot/util/DateTime.h"

#if defined(OT_IOS_EXPORT)
	#if defined(WIN32)

		#include "ot/base/winincl.h"
		#include <io.h>
		#include <direct.h>
		#define S_IWUSR S_IWRITE
		#define S_IRUSR S_IREAD

	#else // !WIN32

		#include <stddef.h>
		#include <unistd.h>

	#endif // WIN32
#endif // OT_IOS_EXPORT

#define OT_IO_PKG             OT_OPENTOP_PKG
#define OT_IO_INCLUDE_INLINES OT_OPENTOP_INCLUDE_INLINES
#define OT_IO_NAMESPACE_BEGIN OT_SUB_NAMESPACE_BEGIN(io)
#define OT_IO_NAMESPACE_END   OT_SUB_NAMESPACE_END(io)

OT_IO_NAMESPACE_BEGIN

using cvt::CodeConverter;
using util::DateTime;

OT_IO_NAMESPACE_END

#endif //OT_IO_defs_h

