//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:24 $
//
//==============================================================================

#ifndef OT_NET_BasicHttpURLConnection_h
#define OT_NET_BasicHttpURLConnection_h

#ifndef OT_NET_defs_h
#include "defs.h"
#endif //OT_NET_defs_h

#include "HttpURLConnection.h"
#include "HttpClient.h"
#include "Socket.h"

OT_NET_NAMESPACE_BEGIN

class OT_NET_PKG BasicHttpURLConnection : public HttpURLConnection
{
public:

	BasicHttpURLConnection(const URL& url);

	virtual void connect();
	virtual RefPtr<InputStream> getInputStream();
	virtual RefPtr<OutputStream> getOutputStream();
	virtual RefPtr<InputStream> getErrorStream() const;

	virtual String getHeaderField(const String& name);
	virtual String getHeaderField(size_t index);
	virtual String getHeaderFieldKey(size_t index);
	virtual size_t getHeaderFieldCount();

	virtual void setRequestProperty(const String& name, const String& value);
	virtual String getRequestProperty(const String& name) const;

	virtual void setRequestMethod(const String& method);
	virtual String getRequestMethod() const;

	virtual int getResponseCode();
	virtual String getResponseMessage();

	virtual void setFollowRedirects(bool bFollow);
	virtual bool getFollowRedirects() const;

private:
	RefPtr<HttpClient> m_rpHttp;
};

OT_NET_NAMESPACE_END

#endif //OT_NET_BasicHttpURLConnection_h
