//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/04/09 21:47:44 $
//
//==============================================================================
// Class: ConnectException
// 
/**
	@class ot::net::ConnectException
	
	@brief Thrown when an error occurs while attempting to connect a 
		   socket to an IP address and port. This usually indicates that
		   no process was listening on the IP address/port or that the
		   request was rejected by a firewall. 
*/
//==============================================================================

#ifndef OT_NET_ConnectException_h
#define OT_NET_ConnectException_h

#ifndef OT_NET_defs_h
#include "defs.h"
#endif //OT_NET_defs_h

#include "SocketException.h"

OT_NET_NAMESPACE_BEGIN

class OT_NET_PKG ConnectException : public SocketException
{
public:
	/** Constructs a ConnectException with a detail message
	* @param message the detail message.
	*/
	ConnectException(const String& message) : 
		SocketException(message)
	{}
	
	virtual String getExceptionType() const {return OT_T("ConnectException");}
};


OT_NET_NAMESPACE_END

#endif //OT_NET_ConnectException_h

