//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1 $
// $Date: 2003/08/18 20:59:10 $
//
//==============================================================================
//
// Class: DatagramSocketImpl
// 
// Overview
// --------
// based on the java.net.DatagramSocketImplFactory class.  Used by the
// DatagramSocket class, this class is responsible for creating instances
// of DatagramSocketImpl.
//
//==============================================================================

#ifndef OT_NET_DatagramSocketImplFactory_h
#define OT_NET_DatagramSocketImplFactory_h

#ifndef OT_NET_defs_h
#include "defs.h"
#endif //OT_NET_defs_h

OT_NET_NAMESPACE_BEGIN

class DatagramSocketImpl;

class OT_NET_PKG DatagramSocketImplFactory : public virtual ManagedObject
{
public:

	virtual RefPtr<DatagramSocketImpl> createDatagramSocketImpl() const;
};

OT_NET_NAMESPACE_END

#endif //OT_NET_DatagramSocketImplFactory_h
