//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/09/09 21:22:29 $
//
//==============================================================================

#ifndef OT_NET_FtpURLConnection_h
#define OT_NET_FtpURLConnection_h

#ifndef OT_NET_defs_h
#include "defs.h"
#endif //OT_NET_defs_h

#include "BasicURLConnection.h"
#include "FtpClient.h"

OT_NET_NAMESPACE_BEGIN

class OT_NET_PKG FtpURLConnection : public BasicURLConnection
{
public:

	FtpURLConnection(const URL& url);

	virtual void connect();
	virtual RefPtr<InputStream> getInputStream();
	virtual RefPtr<OutputStream> getOutputStream();

	virtual void setRequestProperty(const String& name, const String& value);
	virtual String getRequestProperty(const String& name) const;

private:
	void changeDirectory() const;

private:
	RefPtr<InputStream>  m_rpInputStream;
	RefPtr<OutputStream> m_rpOutputStream;
	RefPtr<FtpClient>    m_rpFtpClient;
	String m_pathname;
	String m_filename;
	bool m_bDirectoryReqd;
	size_t m_restartPoint;
};

OT_NET_NAMESPACE_END

#endif //OT_NET_FtpURLConnection_h


