//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2003 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1 $
// $Date: 2003/08/26 19:50:24 $
//
//==============================================================================
//
// Class: MulticastSocket
//
//==============================================================================

#ifndef OT_NET_MulticastSocket_h
#define OT_NET_MulticastSocket_h

#ifndef OT_NET_defs_h
#include "defs.h"
#endif //OT_NET_defs_h

#include "DatagramSocket.h"

OT_NET_NAMESPACE_BEGIN

class OT_NET_PKG MulticastSocket : public DatagramSocket
{
public:
	MulticastSocket();
	MulticastSocket(int port);

	virtual RefPtr<InetAddress> getNetworkInterface() const;
	virtual int getTimeToLive() const;
	virtual void joinGroup(const InetAddress* pMulticastAddr);
	virtual void joinGroup(const InetAddress* pMulticastAddr, const InetAddress* pInf);
	virtual void leaveGroup(const InetAddress* pMulticastAddr);
	virtual void leaveGroup(const InetAddress* pMulticastAddr, const InetAddress* pInf);
	virtual void setNetworkInterface(const InetAddress* pInf);
	virtual void setTimeToLive(int ttl);
};

OT_NET_NAMESPACE_END

#endif //OT_NET_MulticastSocket_h
