//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.4 $
// $Date: 2003/09/04 21:10:53 $
//
//==============================================================================
//
// Class: NetUtils
//
// This is a module containing portable implementations of 
// networking utility functions.
//
//==============================================================================

#ifndef OT_NET_NetUtils_h
#define OT_NET_NetUtils_h

#ifndef OT_NET_defs_h
#include "defs.h"
#endif //OT_NET_defs_h

OT_NET_NAMESPACE_BEGIN

class SocketDescriptor;

class OT_NET_PKG NetUtils
{
public:
	enum Direction {Read, Write, Both};

	static String GetLocalHostName();
	static int GetLastSocketError();
	static String GetSocketErrorString(int errorNum=0);
	static void InitializeSocketLibrary();
	static long SocketIOControl(SocketDescriptor* pSocketDescriptor, long cmd, long arg);
	static void SetBlockingSocket(SocketDescriptor* pSocketDescriptor, bool bBlocking);
	static void ShutdownSocket(SocketDescriptor* pSocketDescriptor, Direction dir);
	static bool SelectSocket(SocketDescriptor* pSocketDescriptor, size_t timeoutMS,
	                         bool bRead, bool bWrite);

private:
	NetUtils(); // not implemented

private:
	static bool s_bInitialized;
};

OT_NET_NAMESPACE_END

#endif //OT_NET_NetUtils_h

