//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:31 $
//
//==============================================================================
//
// Class: NvtAsciiInputStream
// 
//=============================================================================

#ifndef OT_NET_NvtAsciiInputStream_h
#define OT_NET_NvtAsciiInputStream_h

#ifndef OT_NET_defs_h
#include "defs.h"
#endif //OT_NET_defs_h

#include "ot/io/FilterInputStream.h"

OT_NET_NAMESPACE_BEGIN

using io::FilterInputStream;

class OT_NET_PKG NvtAsciiInputStream : public FilterInputStream
{
public:
	NvtAsciiInputStream(InputStream* pInputStream);

#ifdef OT_USING_DECL_BROKEN
	virtual int read() {return FilterInputStream::read();}
#else
	using FilterInputStream::read; 	// unhide inherited read methods
#endif

	virtual long read(Byte* pBuffer, size_t bufLen);
};

OT_NET_NAMESPACE_END

#endif //OT_NET_NvtAsciiInputStream_h

