//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:35 $
//
//==============================================================================
// Class: SocketException
// 
/**
	@class ot::net::SocketException
	
	@brief Thrown when an error occurs while performing network socket
	       operations.
*/
//==============================================================================

#ifndef OT_NET_SocketException_h
#define OT_NET_SocketException_h

#ifndef OT_NET_defs_h
#include "defs.h"
#endif //OT_NET_defs_h

#include "ot/io/IOException.h"

OT_NET_NAMESPACE_BEGIN

using io::IOException;

class OT_NET_PKG SocketException : public IOException
{
public:
	/** Constructs a SocketException with a detail message
	* @param message the detail message.
	*/
	SocketException(const String& message) : 
		IOException(message)
	{}
	
	virtual String getExceptionType() const {return OT_T("SocketException");}
};


OT_NET_NAMESPACE_END

#endif //OT_NET_SocketException_h

