//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/08/18 20:59:10 $
//
//==============================================================================

#ifndef OT_NET_SocketInputStream_h
#define OT_NET_SocketInputStream_h

#ifndef OT_NET_defs_h
#include "defs.h"
#endif //OT_NET_defs_h

OT_NET_NAMESPACE_BEGIN

class SocketDescriptor;

class OT_NET_PKG SocketInputStream : public InputStream
{
public:
	SocketInputStream(SocketDescriptor* pDescriptor);
	~SocketInputStream();

	virtual size_t available();
	virtual void close();

#ifdef OT_USING_DECL_BROKEN
	virtual int read() {return InputStream::read();}
#else
	using InputStream::read; 	// unhide inherited read methods
#endif

	virtual long read(Byte* pBuffer, size_t bufLen);

public:
	size_t getTimeout() const;
	void setTimeout(size_t timeoutMS);

private:
	RefPtr<SocketDescriptor> m_rpSocketDescriptor;
	size_t m_timeoutMS;
};

OT_NET_NAMESPACE_END

#endif //OT_NET_SocketInputStream_h
