//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:39 $
//
//==============================================================================

#ifndef OT_NET_URLStreamHandler_h
#define OT_NET_URLStreamHandler_h

#ifndef OT_NET_defs_h
#include "defs.h"
#endif //OT_NET_defs_h

OT_NET_NAMESPACE_BEGIN

class URLConnection;
class URL;

class OT_NET_PKG URLStreamHandler : public virtual ManagedObject
{
public:
	friend class URL;

protected:
	virtual RefPtr<URLConnection> openConnection(const URL& url) const = 0;

	virtual int getDefaultPort() const;
	virtual void parseURL(URL& urlRet, const String& spec) const;
	virtual String toExternalForm(const URL& url) const;
	virtual bool sameFile(const URL& first, const URL& second) const;
	virtual bool hostsEqual(const URL& first, const URL& second) const;
	virtual String parsePath(const String& context, const String& path) const;
	void setURL(URL& url,
	            const String& protocol,
	            const String& host,
	            int port,
	            const String& authority,
	            const String& userInfo,
	            const String& path,
	            const String& query,
	            const String& ref) const;
};

OT_NET_NAMESPACE_END

#endif //OT_NET_URLStreamHandler_h

