//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:40 $
//
//==============================================================================
//
// Class AttributeSetAdapter
//
// Acts as a bridge between the ElCel Technology AttributeSet interface 
// and the SAX Attributes interface.
//==============================================================================

#ifndef OT_SAX_AttributeSetAdapter_h
#define OT_SAX_AttributeSetAdapter_h

#include "Attributes.h"
#include "ot/xml/AttributeSet.h"

OT_SAX_NAMESPACE_BEGIN

using xml::AttributeSet;

class OT_SAX_PKG AttributeSetAdapter : public Attributes
{
public:

	AttributeSetAdapter(const AttributeSet& theSet);

	virtual int getIndex(const String& qName) const;
	virtual int getIndex(const String& uri, const String& localPart) const;
	virtual size_t getLength() const;
	virtual String getLocalName(size_t index) const;
	virtual String getQName(size_t index) const;
	virtual String getType(size_t index) const;
	virtual String getType(const String& qName) const;
	virtual String getType(const String& uri, const String& localName) const;
	virtual String getURI(size_t index) const;
	virtual String getValue(size_t index) const;
	virtual String getValue(const String& qName) const;
	virtual String getValue(const String& uri, const String& localName) const;

private:
	const AttributeSet& m_theSet;	
};

OT_SAX_NAMESPACE_END

#endif //OT_SAX_AttributeSetAdapter_h
