//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:40 $
//
//==============================================================================

#ifndef OT_SAX_Attributes_h
#define OT_SAX_Attributes_h

#include "defs.h"

OT_SAX_NAMESPACE_BEGIN

class OT_SAX_PKG Attributes : public virtual ManagedObject
{
public:

	virtual int getIndex(const String& qName) const = 0;
	virtual int getIndex(const String& uri, const String& localName) const = 0;
	virtual size_t getLength() const = 0;
	virtual String getLocalName(size_t index) const = 0;
	virtual String getQName(size_t index) const = 0;
	virtual String getType(size_t index) const = 0;
	virtual String getType(const String& qName) const = 0;
	virtual String getType(const String& uri, const String& localName) const = 0;
	virtual String getURI(size_t index) const = 0;
	virtual String getValue(size_t index) const = 0;
	virtual String getValue(const String& qName) const = 0;
	virtual String getValue(const String& uri, const String& localName) const = 0;
};

OT_SAX_NAMESPACE_END

#endif //OT_SAX_Attributes_h
