//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/01/27 22:56:54 $
//
//==============================================================================

#ifndef OT_SAX_AttributesImpl_h
#define OT_SAX_AttributesImpl_h

#include "defs.h"
#include "Attributes.h"

#include "ot/xml/AttributeSetImpl.h"

OT_SAX_NAMESPACE_BEGIN

using xml::AttributeSetImpl;

class OT_SAX_PKG AttributesImpl : public Attributes
{
public:
	AttributesImpl();
	AttributesImpl(const Attributes& atts);

	void addAttribute(const String& uri,
	                  const String& qName,
	                  const String& type,
	                  const String& value);

	void clear();

	void removeAttribute(size_t index);
	void setAttribute(size_t index, const String& uri,
	                  const String& qName,
	                  const String& type, const String& value);

	void setAttributes(const Attributes& atts);
	void setQName(size_t index, const String& qName);
	void setType(size_t index, const String& type);
	void setURI(size_t index, const String& uri);
	void setValue(size_t index, const String& value);


	// implementation of Attributes interface
	virtual int getIndex(const String& qName) const;
	virtual int getIndex(const String& uri,
	                     const String& localName) const;

	virtual size_t getLength() const;
	virtual String getLocalName(size_t index) const;
	virtual String getQName(size_t index) const;
	virtual String getType(size_t index) const;
	virtual String getType(const String& qName) const;
	virtual String getType(const String& uri,
	                       const String& localName) const;

	virtual String getURI(size_t index) const;
	virtual String getValue(size_t index) const;
	virtual String getValue(const String& qName) const;
	virtual String getValue(const String& uri,
	                        const String& localName) const;

private:
	AttributeSetImpl m_attributes;
};

OT_SAX_NAMESPACE_END

#endif //OT_SAX_AttributesImpl_h
