//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:41 $
//
//==============================================================================

#ifndef OT_SAX_ContentHandler_h
#define OT_SAX_ContentHandler_h

#include "defs.h"
#include "Attributes.h"

OT_SAX_NAMESPACE_BEGIN 

class Locator;

class OT_SAX_PKG ContentHandler : public virtual ManagedObject
{
public:

	virtual void characters(const CharType* pStart, size_t length) = 0;
	virtual void endDocument() = 0;

	virtual void endElement(const String& namespaceURI,
	                        const String& localName,
	                        const String& qName) = 0;

	virtual void endPrefixMapping(const String& prefix) = 0;
	virtual void ignorableWhitespace(const CharType* pStart, size_t length) = 0;
	virtual void processingInstruction(const String& target, const String& data) = 0;
	virtual void setDocumentLocator(Locator* pLocator) = 0;
	virtual void skippedEntity(const String& name) = 0;
	virtual void startDocument() = 0;

	virtual void startElement(const String& namespaceURI,
	                          const String& localName,
	                          const String& qName,
	                          const Attributes& atts) = 0;

	virtual void startPrefixMapping(const String& prefix, const String& uri) = 0;
};

OT_SAX_NAMESPACE_END

#endif //OT_SAX_ContentHandler_h
