//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:43 $
//
//==============================================================================

#ifndef OT_SAX_InputSource_h
#define OT_SAX_InputSource_h

#ifndef OT_SAX_defs_h
#include "defs.h"
#endif //OT_SAX_defs_h

#include "ot/xml/XMLInputSource.h"

OT_SAX_NAMESPACE_BEGIN

using xml::XMLInputSource;

class OT_SAX_PKG InputSource : public virtual ManagedObject

#ifndef OT_DOCUMENTATION_ONLY
                               ,private XMLInputSource
#endif //OT_DOCUMENTATION_ONLY

{
	friend class SAXParser;

public:

	InputSource();
	InputSource(InputStream* pByteStream);
	InputSource(Reader* pCharacterStream);
	InputSource(const String& systemId);

	RefPtr<InputStream> getByteStream() const;
	RefPtr<Reader> getCharacterStream() const;
	String getSystemId() const;
	String getPublicId() const;

	void setCharacterStream(Reader* pCharacterStream);
	void setByteStream(InputStream* pByteStream);
	void setSystemId(const String& systemId);
	void setPublicId(const String& publicId);

	String getEncoding() const;
	void setEncoding(const String& encoding);
};

OT_SAX_NAMESPACE_END

#endif //OT_SAX_InputSource_h
