//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:44 $
//
//==============================================================================

#ifndef OT_SAX_LocatorImpl_h
#define OT_SAX_LocatorImpl_h

#include "defs.h"
#include "Locator.h"

OT_SAX_NAMESPACE_BEGIN

class OT_SAX_PKG LocatorImpl : public Locator
{
public:
	LocatorImpl();
	LocatorImpl(const Locator& rhs);

	// Locator interface...
	virtual long getColumnNumber() const;
	virtual long getLineNumber() const;
	virtual String getPublicId() const;
	virtual String getSystemId() const;

	// Additional methods to update the Locator's state
	void setColumnNumber(long columnNumber);
	void setLineNumber(long lineNumber);
	void setPublicId(const String& publicId);
	void setSystemId(const String& systemId);

private:
	long m_colNo;
	long m_lineNo;
	String m_publicId;
	String m_systemId;
};

OT_SAX_NAMESPACE_END

#endif //OT_XML_LocatorImpl_h
