//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:45 $
//
//==============================================================================

#ifndef OT_SAX_SAXFeatures_h
#define OT_SAX_SAXFeatures_h

#include "defs.h"

OT_SAX_NAMESPACE_BEGIN

class OT_SAX_PKG SAXFeatures
{
public:
	// Core sax features
	static const String namespaces;
	static const String namespace_prefixes;
	static const String validation;
	static const String external_general_entities;
	static const String external_parameter_entities;
	static const String lexical_handler_parameter_entities;
	static const String resolve_dtd_uris;
	static const String is_standalone;
	
	// ElCel-specific features
	static const String resolve_entity_uris;
	static const String interoperability;
	static const String warnings;
	static const String validate_namespace_declarations;
	static const String enable_relative_namespace_uri_test;
};

OT_SAX_NAMESPACE_END

#endif //OT_SAX_SAXFeatures_h
