//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:45 $
//
//==============================================================================
// Class: SAXNotRecognizedException
// 
/**
	@class ot::sax::SAXNotRecognizedException
	
	@brief Exception class for an unrecognized identifier.

	<p>An XMLReader will throw this exception when it finds an
	unrecognized feature identifier; SAX applications and
	extensions may use this class for other, similar purposes.</p>
*/
//==============================================================================

#ifndef OT_SAX_SAXNotRecognizedException_h
#define OT_SAX_SAXNotRecognizedException_h

#ifndef OT_SAX_defs_h
#include "defs.h"
#endif //OT_SAX_defs_h

#include "SAXException.h"

OT_SAX_NAMESPACE_BEGIN

class OT_SAX_PKG SAXNotRecognizedException : public SAXException
{
public:
	/** Constructs a SAXNotRecognizedException with a detail message
	* @param message the detail message.
	*/
	SAXNotRecognizedException(const String& message) : 
		SAXException(message)
	{}
	
	virtual String getExceptionType() const {return OT_T("SAXNotRecognizedException");}
};


OT_SAX_NAMESPACE_END

#endif //OT_SAX_SAXNotRecognizedException_h

