//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:45 $
//
//==============================================================================
// Class: SAXNotSupportedException
// 
/**
	@class ot::sax::SAXNotSupportedException
	
	@brief Exception class for an unsupported operation.
	       
	<p>An XMLReader will throw this exception when it recognizes a
	feature, but cannot perform the requested operation.  
	Other SAX2 applications and extensions may use this class 
	for similar purposes.</p>
*/
//==============================================================================

#ifndef OT_SAX_SAXNotSupportedException_h
#define OT_SAX_SAXNotSupportedException_h

#ifndef OT_SAX_defs_h
#include "defs.h"
#endif //OT_SAX_defs_h

#include "SAXException.h"

OT_SAX_NAMESPACE_BEGIN

class OT_SAX_PKG SAXNotSupportedException : public SAXException
{
public:
	/** Constructs a SAXNotSupportedException with a detail message
	* @param message the detail message.
	*/
	SAXNotSupportedException(const String& message) : 
		SAXException(message)
	{}
	
	virtual String getExceptionType() const {return OT_T("SAXNotSupportedException");}
};


OT_SAX_NAMESPACE_END

#endif //OT_SAX_SAXNotSupportedException_h

