//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:46 $
//
//==============================================================================

#ifndef OT_SAX_SAXParseException_h
#define OT_SAX_SAXParseException_h

#ifndef OT_SAX_defs_h
#include "defs.h"
#endif //OT_SAX_defs_h

#include "SAXException.h"

OT_SAX_NAMESPACE_BEGIN

class Locator;

class OT_SAX_PKG SAXParseException : public SAXException
{
public:
	SAXParseException(const String& message, const Locator& locator);
	
	SAXParseException(const String& message,
	                  const String& publicId,
	                  const String& systemId,
	                  long lineNumber,
	                  long columnNumber);

	virtual long getColumnNumber() const;
	virtual long getLineNumber() const;
	virtual String getPublicId() const;
	virtual String getSystemId() const;

	virtual String getExceptionType() const {return OT_T("SAXParseException");}

private:
	String m_publicId;
	String m_systemId;
	long m_columnNumber;
	long m_lineNumber;
};


OT_SAX_NAMESPACE_END

#endif //OT_SAX_SAXParseException_h

