//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/08/26 20:18:14 $
//
//==============================================================================

#ifndef OT_UTIL_AttributeListParser_h
#define OT_UTIL_AttributeListParser_h

#ifndef OT_UTIL_defs_h
#include "defs.h"
#endif //OT_UTIL_defs_h

#include <deque>

OT_UTIL_NAMESPACE_BEGIN

class OT_UTIL_PKG AttributeListParser
{
public:

	bool parseString(const String& in);

	bool containsAttribute(const String& name) const;
	String getAttributeValue(const String& name) const;
	String getAttributeValueICase(const String& name) const;
	String getAttributeName(size_t index) const;
	String getAttributeValue(size_t index) const;
	size_t getAttributeCount() const;
	void removeAttribute(const String& name);

private:
	typedef std::deque<std::pair<String, String> > AttributeList;
	AttributeList m_list;
};

OT_UTIL_NAMESPACE_END

#endif //OT_UTIL_AttributeListParser_h

