//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:49 $
//
//==============================================================================

#ifndef OT_UTIL_Base64_h
#define OT_UTIL_Base64_h

#ifndef OT_UTIL_defs_h
#include "defs.h"
#endif //OT_UTIL_defs_h

OT_UTIL_NAMESPACE_BEGIN

class OT_UTIL_PKG Base64
{
public:
	enum Result {ok,              /*!< Operation successful */
	             outputExhausted, /*!< Output buffer too small for to accept result */
	             inputExhausted   /*!< Input buffer contains insufficient data */
	};

	static Result Encode(const Byte* pFrom, const Byte* pFromEnd, Byte* pTo, const Byte* pToLimit, Byte*& pToNext);
	static Result Decode(const Byte* pFrom, const Byte* pFromEnd, Byte* pTo, const Byte* pToLimit, Byte*& pToNext);
	static size_t GetEncodedLength(const Byte* pFrom, const Byte* pFromEnd);
	static size_t GetMaxDecodedLength(const Byte* pFrom, const Byte* pFromEnd);
};

OT_UTIL_NAMESPACE_END

#endif //OT_UTIL_Base64_h
