//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:50 $
//
//==============================================================================
//
// Class MIMEType
//
// This class is used to parse and represent a MIME Type as defined in 
// RFC 2045 and 2046.
//
//==============================================================================

#ifndef OT_UTIL_MIMEType_h
#define OT_UTIL_MIMEType_h

#ifndef OT_UTIL_defs_h
#include "defs.h"
#endif //OT_UTIL_defs_h

#include <map>

OT_UTIL_NAMESPACE_BEGIN

class OT_UTIL_PKG MIMEType
{
public:
	
	MIMEType(const String& rawdata);

	String getParameter(const String& name) const;
	const String& getType() const;
	const String& getSubType() const;

private:
	void addParameter(const String& name, const String& value);
	bool parseContentTypeHeader(const String& contentType);

private:
	typedef std::map<String, String, std::less<String> > ParamMap;
	ParamMap m_paramMap;
	String m_type;
	String m_subType;
};

OT_UTIL_NAMESPACE_END

#endif //OT_UTIL_MIMEType_h

