//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/04/12 17:12:17 $
//
//==============================================================================

#ifndef OT_UTIL_StringTokenizer_h
#define OT_UTIL_StringTokenizer_h

#ifndef OT_UTIL_defs_h
#include "defs.h"
#endif //OT_UTIL_defs_h

#include <vector>

OT_UTIL_NAMESPACE_BEGIN

class OT_UTIL_PKG StringTokenizer
{
public:
	
	StringTokenizer(const String& str);
	StringTokenizer(const String& str, const String& delim,
	                bool bReturnDelims=false, bool bReturnContiguousDelims=true);
	String nextToken();
	String peekNextToken() const;
	bool hasMoreTokens() const;
	std::vector<String> toVector();

private:
	String::size_type locateNextToken(bool bDelim, String::size_type pos) const;

private:
	bool m_bReturnDelims;
	bool m_bReturnContiguousDelims;
	bool m_bContainsMultiCharSequence;
	String m_delim;
	String::size_type m_nextPos;
	String m_str;
};

OT_UTIL_NAMESPACE_END

#endif //OT_UTIL_StringTokenizer_h

