//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:51 $
//
//==============================================================================
//
// Class: Win32Utils
// 
// Overview
// --------
// A C++ wrapper class around a small part of the WIN32 API.
//
// Generally used when special facilities are required under WIN32 that are
// available via a different means in Unix/Linux.
//
//=============================================================================

#ifndef OT_UTIL_Win32Utils_h
#define OT_UTIL_Win32Utils_h

#ifdef WIN32

#ifndef OT_UTIL_defs_h
#include "defs.h"
#endif //OT_UTIL_defs_h

#include "DateTime.h"

#include "ot/base/winincl.h"

#include <list>

OT_UTIL_NAMESPACE_BEGIN

class OT_UTIL_PKG Win32Utils
{
public:
	static std::list<String> ExpandFiles(const String& filespec);
	static DateTime SystemTimeToDateTime(SYSTEMTIME* const pSysTime);
	static void DateTimeToSystemTime(const DateTime& time, SYSTEMTIME* pSysTime);
	static void TraceSystemCall(short nSection, short nLevel, const String& message, DWORD errNo);
};

OT_UTIL_NAMESPACE_END

#endif //WIN32
#endif //OT_UTIL_Win32Utils_h

