//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:51 $
//
//==============================================================================
//
// ElCel/STL utility functions
//
//==============================================================================

#ifndef OT_UTIL_stlutils_h
#define OT_UTIL_stlutils_h

#ifndef OT_UTIL_defs_h
#include "defs.h"
#endif //OT_UTIL_defs_h

#include <algorithm>

OT_UTIL_NAMESPACE_BEGIN

template <typename Iter>
inline
void deleteAll(Iter first, Iter last)
{
	while(first != last)
	{
		delete (*first);
		++first;
	}
}

template<class Iter1, class Iter2>
inline
Iter1 find_first_not_of(Iter1 i1, Iter1 end1, Iter2 i2, Iter2 end2)
{
	for (; i1 != end1; ++i1)
		if(std::find(i2, end2, *i1) == end2)
			return (i1);
	return (end1);
}

OT_UTIL_NAMESPACE_END

#endif //OT_UTIL_stlutils_h
