//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:51 $
//
//==============================================================================
//
// Class: AttributeSetImpl
// 
// Overview
// --------
// An implementation of the AttributeSet interface.
//
//==============================================================================

#ifndef OT_XML_AttributeSetImpl_h
#define OT_XML_AttributeSetImpl_h

#include "AttributeSet.h"
#include "Attribute.h"
#include <vector>

OT_XML_NAMESPACE_BEGIN

class OT_XML_PKG AttributeSetImpl : public AttributeSet
{
public:

	// AttributeSet methods
	virtual RefPtr<Attribute> getAttribute(const String& uri, const String& localName) const;
	virtual RefPtr<Attribute> getAttribute(const String& qName) const;
	virtual RefPtr<Attribute> getAttribute(size_t index) const;
	virtual bool addAttribute(Attribute* pAttribute);
	virtual void removeAttribute(size_t index);
	virtual void removeAll();
	
	virtual bool empty() const;
	virtual size_t size() const;

private:
	typedef std::vector<RefPtr<Attribute> > AttributeVector;
	AttributeVector m_attributes;
};

OT_XML_NAMESPACE_END

#endif //OT_XML_AttributeSetImpl_h

