//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:52 $
//
//==============================================================================

#ifndef OT_XML_Buffer_h
#define OT_XML_Buffer_h

#ifndef OT_XML_defs_h
#include "defs.h"
#endif //OT_XML_defs_h

#ifndef OT_XML_StreamPosition_h
#include "StreamPosition.h"
#endif //OT_XML_StreamPosition_h

OT_XML_NAMESPACE_BEGIN

class Entity;

class OT_XML_PKG Buffer : public virtual ManagedObject
{
public:

	Buffer(size_t size, const Entity& entity);
	~Buffer();

	CharType* m_pData;
	size_t m_used;
	bool m_bEOF;
	bool m_bFull;
	RefPtr<Buffer> m_rpNext;

	void read();
	const Entity& getEntity() const;

private: // not implemented
	Buffer(const Buffer& rhs);            // cannot be copied
	Buffer& operator=(const Buffer& rhs); // nor assigned

private:
	size_t m_size;
	const Entity& m_entity;
};

OT_XML_NAMESPACE_END

#endif //OT_XML_Buffer_h
