//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:53 $
//
//==============================================================================

#ifndef OT_XML_ContentEventHandler_h
#define OT_XML_ContentEventHandler_h

#ifndef OT_XML_defs_h
#include "defs.h"
#endif //OT_XML_defs_h

#include "EventHandler.h"

OT_XML_NAMESPACE_BEGIN

class QName;
class BufferRange;
class AttributeSet;

class OT_XML_PKG ContentEventHandler : public EventHandler
{
public:

	virtual void onComment(const CharType* pComment, size_t length) = 0;
	virtual void onCommentStart(bool bInsideDTD) = 0;
	virtual void onCommentEnd(bool bInsideDTD) = 0;
	virtual void onPI(const String& PITarget, const String& PIValue) = 0;
	virtual void onStartElement(const QName& elementName, bool bEmptyElement, const AttributeSet& attributes) = 0;
	virtual void onEndElement(const QName& elementName) = 0;
	virtual void onWhitespace(const CharType* pStr, size_t len) = 0;
	virtual void onIgnorableWhitespace(const CharType* pStr, size_t len) = 0;
	virtual void onCharData(const CharType* pString, size_t len) = 0;
	virtual void onStartCData() = 0;
	virtual void onEndCData() = 0;
	virtual void onNamespaceBegin(const String& prefix, const String& uri) = 0;
	virtual void onNamespaceChange(const String& prefix, const String& uriFrom, const String& uriTo, bool bRestoring) = 0;
	virtual void onNamespaceEnd(const String& prefix, const String& uri) = 0;
	virtual void onStartDocument(const String& systemId) = 0;
	virtual void onEndDocument() = 0;
	virtual void onXMLDeclaration(const String& version, const String& encoding, bool bStandalone) = 0;
};

OT_XML_NAMESPACE_END

#endif //OT_XML_ContentEventHandler_h
