//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:53 $
//
//==============================================================================

#ifndef OT_XML_DTDEventHandler_h
#define OT_XML_DTDEventHandler_h

#ifndef OT_XML_defs_h
#include "defs.h"
#endif //OT_XML_defs_h

#include "EventHandler.h"

OT_XML_NAMESPACE_BEGIN

class EntityType;

class OT_XML_PKG DTDEventHandler : public EventHandler
{
public:
	virtual void onStartDTD(const String& name, const String& publicId, const String& systemId) = 0;
	virtual void onEndDTD() = 0;
	virtual void onNotationDecl(const String& name, const String& publicId, const String& systemId) = 0;
	virtual void onUnparsedEntityDecl(const String& name, const String& publicId, const String& systemId, const String& notationName) = 0;
	virtual void onExternalEntityDecl(const String& name, EntityType type, const String& publicId, const String& systemId) = 0;
	virtual void onInternalEntityDecl(const String& name, EntityType type, const String& value) = 0;
	virtual void onStartAttlist(const String& eName) = 0;
	virtual void onEndAttlist() = 0;
	virtual void onAttributeDecl(const String& eName, const String& aName, const String& type, const String& valueDefault, const String& enumGroup, const String& value) = 0;
	virtual void onElementDecl(const String& name, const String& model) = 0;
};

OT_XML_NAMESPACE_END

#endif //OT_XML_DTDEventHandler_h
