//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:55 $
//
//==============================================================================

#ifndef OT_XML_EntityType_h
#define OT_XML_EntityType_h

#ifndef OT_XML_defs_h
#include "defs.h"
#endif //OT_XML_defs_h

OT_XML_NAMESPACE_BEGIN

class OT_XML_PKG EntityType
{
public:

	enum Type {Document, DTD, General, Parameter};

	EntityType(Type eType);
	EntityType(const EntityType& rhs);
	EntityType& operator=(const EntityType& rhs);

	bool operator==(Type eType) const;
	bool operator!=(Type eType) const;
	bool operator==(const EntityType& rhs) const;
	bool operator!=(const EntityType& rhs) const;

private:
	Type m_eType;
};

OT_XML_NAMESPACE_END

#endif //OT_XML_EntityEventHandler_h
