//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:57 $
//
//==============================================================================

#ifndef OT_XML_InternalEntity_h
#define OT_XML_InternalEntity_h

#ifndef OT_XML_defs_h
#include "defs.h"
#endif //OT_XML_defs_h

#ifndef OT_XML_Entity_h
#include "Entity.h"
#endif //OT_XML_Entity_h

OT_XML_NAMESPACE_BEGIN

class BufferRange;

class OT_XML_PKG InternalEntity : public Entity
{
public:

	InternalEntity(EntityType type, const Entity* pParent, bool bExternallyDeclared, 
	               const String& name, Reader* pReader,
	               const StreamPosition& location,
	               bool bSimpleData);

	~InternalEntity();

	virtual ScannerPosition getStartPosition();
	virtual bool isParsed() const;
	virtual bool isExternalEntity() const;
	virtual bool isInternalEntity() const;
	virtual void load();
	virtual RefPtr<Reader> getReader() const;

	bool isSimpleData() const;
	BufferRange getBufferRange() const;

private:
	RefPtr<Reader> m_rpReader;
	ScannerPosition m_startPosition;
	bool m_bSimpleData;
};

OT_XML_NAMESPACE_END

#endif //OT_XML_InternalEntity_h
