//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:26:05 $
//
//==============================================================================
// 
// Class Position
//
// Used to report the position within a parsed entity
// 
//==============================================================================


#ifndef OT_XML_Position_h
#define OT_XML_Position_h

#ifndef OT_XML_defs_h
#include "defs.h"
#endif //OT_XML_defs_h

#include "ot/net/URL.h"

OT_XML_NAMESPACE_BEGIN

using net::URL;

class OT_XML_PKG Position
{
public:

	virtual size_t getColumnNumber() const = 0;
	virtual size_t getLineNumber() const = 0;
	virtual size_t getOffset() const = 0;
	virtual String getPublicId() const = 0;
	virtual String getSystemId() const = 0;
	virtual String getResolvedSystemId() const = 0;
};

OT_XML_NAMESPACE_END

#endif //OT_XML_Position_h

