//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:27:03 $
//
//==============================================================================
//
// Class: XMLFilterReader
// 
// Overview
// --------
// A FilterReader than normalizes newlines according to the XML recommendation.
//
//=============================================================================

#ifndef OT_XML_XMLFilterReader_h
#define OT_XML_XMLFilterReader_h

#ifndef OT_XML_defs_h
#include "defs.h"
#endif //OT_XML_defs_h

#include "ot/io/FilterReader.h"

OT_XML_NAMESPACE_BEGIN

using io::FilterReader;

class OT_XML_PKG XMLFilterReader : public FilterReader
{
public:

	XMLFilterReader(Reader* pReader);
	
	virtual ~XMLFilterReader();
	
	virtual IntType read();

	virtual long read(CharType* pBuffer, size_t bufLen);
	
	virtual long readAtomic(CharType* pBuffer, size_t bufLen);
	
	virtual Character readAtomic();

protected:
	long normalizeNewLines(CharType* pBuffer, size_t bufLen);

private:
	bool m_bStandaloneCR;
};

OT_XML_NAMESPACE_END

#endif //OT_XML_XMLFilterReader_h

