//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:27:04 $
//
//==============================================================================
// XMLInputSource is used natively within the ElCel XML Parser, but it has been
// modelled directly from the SAX 2.0 InputSource specification.
//==============================================================================

#ifndef OT_XML_XMLInputSource_h
#define OT_XML_XMLInputSource_h

#ifndef OT_XML_defs_h
#include "defs.h"
#endif //OT_XML_defs_h

OT_XML_NAMESPACE_BEGIN

class OT_XML_PKG XMLInputSource : public virtual ManagedObject
{
public:

	XMLInputSource();
	XMLInputSource(InputStream* pInputStream);
	XMLInputSource(Reader* pReader);
	XMLInputSource(const String& systemId);

	RefPtr<InputStream> getInputStream() const;
	RefPtr<Reader> getReader() const;
	String getSystemId() const;
	String getPublicId() const;

	void setReader(Reader* pReader);
	void setInputStream(InputStream* pInputStream);
	void setSystemId(const String& systemId);
	void setPublicId(const String& publicId);

	String getEncoding() const;
	void setEncoding(const String& encoding);

private:
	String m_systemId;
	String m_publicId;
	String m_encoding;
	RefPtr<InputStream> m_rpInputStream;
	RefPtr<Reader> m_rpReader;
};

OT_XML_NAMESPACE_END

#endif //OT_XML_XMLInputSource_h
