//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:27:04 $
//
//==============================================================================

#ifndef OT_XML_XMLParsingException_h
#define OT_XML_XMLParsingException_h

#ifndef OT_XML_defs_h
#include "defs.h"
#endif //OT_XML_defs_h

#include "ot/base/Exception.h"
#include "StreamPosition.h"

OT_XML_NAMESPACE_BEGIN

class OT_XML_PKG XMLParsingException : public Exception
{
public:
	XMLParsingException(const String& systemId,
	                    const StreamPosition& position,
						int errorLevel,
						long reserved,
						const String& message);

	const String& getSystemId() const;
	const StreamPosition& getStreamPosition() const;
	int getErrorLevel() const;
	virtual String getExceptionType() const {return OT_T("XMLParsingException");}

private:
	String         m_systemId;
	StreamPosition m_position;
	int            m_errorLevel;
};


OT_XML_NAMESPACE_END

#endif //OT_XML_XMLParsingException_h

