//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:27:05 $
//
//==============================================================================
//
// Class: CatalogDelegatorEntry
// 
// Overview
// --------
// A CatalogEntry derivative for delegateURI type catalog entries.
//
//==============================================================================

#ifndef OT_XMLCAT_CatalogDelegatorEntry_h
#define OT_XMLCAT_CatalogDelegatorEntry_h

#include "defs.h"
#include "CatalogEntry.h"
#include "CatalogSet.h"

OT_XMLCAT_NAMESPACE_BEGIN

class OT_XMLCAT_PKG CatalogDelegatorEntry : public CatalogEntry
{
public:

	CatalogDelegatorEntry(const String& identifier,
	                      EntryType eEntryType,
				          CatalogResolver::Preference ePreference,
						  const URL& catalogUrl,
						  const CatalogResolver& resolver);

	const CatalogSet& getCatalogSet() const;

	bool operator<(const CatalogDelegatorEntry& rhs) const;

	// Resolver functions
	virtual bool resolveEntity(const String& publicId, const String& systemId,
	                           const CatalogFile::List& catList,
	                           String& returnUri, bool& bDelegated) const;

	virtual bool resolveURI(const String& uri, const CatalogFile::List& catList,
	                        String& returnUri, bool& bDelegated) const;

private:
	CatalogSet m_catalogSet;
};

OT_XMLCAT_NAMESPACE_END

#endif //OT_XMLCAT_CatalogDelegatorEntry_h
