//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:27:08 $
//
//==============================================================================
/**
	@namespace ot::xmlcat

	Contains an implementation of the 
	<a href="http://www.oasis-open.org/">OASIS</a> XML Catalogs specification
	for XML entity resolution.  The full specification may be obtained
	from http://www.oasis-open.org/committees/entity/spec.html
*/
//==============================================================================

#ifndef OT_XMLCAT_defs_h
#define OT_XMLCAT_defs_h

#include "ot/base/gendefs.h"
#include "ot/base/ManagedObject.h"
#include "ot/base/RefPtr.h"
#include "ot/base/String.h"
#include "ot/io/InputStream.h"
#include "ot/io/Reader.h"
#include "ot/net/URL.h"
#include "ot/xml/defs.h"

#define OT_XMLCAT_PKG OT_OTXML_PKG
#define OT_XMLCAT_INCLUDE_INLINES OT_OTXML_INCLUDE_INLINES
#define OT_XMLCAT_NAMESPACE_BEGIN OT_SUB_NAMESPACE_BEGIN(xmlcat)
#define OT_XMLCAT_NAMESPACE_END   OT_SUB_NAMESPACE_END(xmlcat)

//
// import required types into xmlcat namespace
//
OT_XMLCAT_NAMESPACE_BEGIN

using io::InputStream;
using io::Reader;
using net::URL;

OT_XMLCAT_NAMESPACE_END

#endif //OT_XMLCAT_defs_h



